<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ZombieBase Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d2/ded/class_zombie_base.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-static-methods">Static Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="#pri-static-attribs">Static Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ZombieBase Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a73dc4204de3c1020cbf9d62cd7b6d65d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/ded/class_zombie_base.html#a73dc4204de3c1020cbf9d62cd7b6d65d">ZombieBase</a> ()</td></tr>
<tr class="separator:a73dc4204de3c1020cbf9d62cd7b6d65d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a007db5bcb4841d8dded45c1ebe4dbf0a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/ded/class_zombie_base.html#a007db5bcb4841d8dded45c1ebe4dbf0a">~ZombieBase</a> ()</td></tr>
<tr class="separator:a007db5bcb4841d8dded45c1ebe4dbf0a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a93d72faf67300ede3950ea054d0eefd1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/ded/class_zombie_base.html#a93d72faf67300ede3950ea054d0eefd1">OnEnterZone</a> (<a class="el" href="../../d4/de5/expansionzonetype_8c.html#a91fff2923c73524aa9ddd1aa0e5c0337">ExpansionZoneType</a> type)</td></tr>
<tr class="separator:a93d72faf67300ede3950ea054d0eefd1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae62cd5fc073cdf3789b609d54f3c0c55"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/ded/class_zombie_base.html#ae62cd5fc073cdf3789b609d54f3c0c55">OnExitZone</a> (<a class="el" href="../../d4/de5/expansionzonetype_8c.html#a91fff2923c73524aa9ddd1aa0e5c0337">ExpansionZoneType</a> type)</td></tr>
<tr class="separator:ae62cd5fc073cdf3789b609d54f3c0c55"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35f82605eac8c7d43011d73673e3e2c6"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/ded/class_zombie_base.html#a35f82605eac8c7d43011d73673e3e2c6">IsInSafeZone</a> ()</td></tr>
<tr class="separator:a35f82605eac8c7d43011d73673e3e2c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a73686c24b70de059ee1320550c2667df"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/ded/class_zombie_base.html#a73686c24b70de059ee1320550c2667df">NameOverride</a> (out string output)</td></tr>
<tr class="separator:a73686c24b70de059ee1320550c2667df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a14c50865a8c7baa5329f1f8660b283af"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/ded/class_zombie_base.html#a14c50865a8c7baa5329f1f8660b283af">OnRPC</a> (PlayerIdentity sender, int rpc_type, ParamsReadContext ctx)</td></tr>
<tr class="separator:a14c50865a8c7baa5329f1f8660b283af"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-methods" name="pri-static-methods"></a>
Static Private Member Functions</h2></td></tr>
<tr class="memitem:af3351659cc77b1766e3b707587281fe7"><td class="memItemLeft" align="right" valign="top">static set&lt; <a class="el" href="../../d2/ded/class_zombie_base.html">ZombieBase</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/ded/class_zombie_base.html#af3351659cc77b1766e3b707587281fe7">GetAll</a> ()</td></tr>
<tr class="separator:af3351659cc77b1766e3b707587281fe7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a0849752c39ca72f2d72e3d30e8332757"><td class="memItemLeft" align="right" valign="top">protected autoptr <a class="el" href="../../d7/d1f/class_expansion_zone_actor.html">ExpansionZoneActor</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/ded/class_zombie_base.html#a0849752c39ca72f2d72e3d30e8332757">m_Expansion_SafeZoneInstance</a> = new ExpansionZoneEntity&lt;<a class="el" href="../../d2/ded/class_zombie_base.html">ZombieBase</a>&gt;(this)</td></tr>
<tr class="separator:a0849752c39ca72f2d72e3d30e8332757"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2619a46fea6f8262013f3fc8c7e33d4e"><td class="memItemLeft" align="right" valign="top">protected bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/ded/class_zombie_base.html#a2619a46fea6f8262013f3fc8c7e33d4e">m_Expansion_IsInSafeZone</a></td></tr>
<tr class="separator:a2619a46fea6f8262013f3fc8c7e33d4e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5bc34df10fd548edda64065ddc2151bf"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d8/d10/class_expansion_netsync_data.html">ExpansionNetsyncData</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/ded/class_zombie_base.html#a5bc34df10fd548edda64065ddc2151bf">m_Expansion_NetsyncData</a></td></tr>
<tr class="separator:a5bc34df10fd548edda64065ddc2151bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-attribs" name="pri-static-attribs"></a>
Static Private Attributes</h2></td></tr>
<tr class="memitem:ab2f1ed0cb86b2809c094adfcfbbf036d"><td class="memItemLeft" align="right" valign="top">static private ref set&lt; <a class="el" href="../../d2/ded/class_zombie_base.html">ZombieBase</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/ded/class_zombie_base.html#ab2f1ed0cb86b2809c094adfcfbbf036d">m_Expansion_AllInfected</a> = new set&lt; <a class="el" href="../../d2/ded/class_zombie_base.html">ZombieBase</a> &gt;</td></tr>
<tr class="memdesc:ab2f1ed0cb86b2809c094adfcfbbf036d"><td class="mdescLeft">&#160;</td><td class="mdescRight">TODO: AllInfected isn't used anywhere, should get rid?  <a href="../../d2/ded/class_zombie_base.html#ab2f1ed0cb86b2809c094adfcfbbf036d">More...</a><br /></td></tr>
<tr class="separator:ab2f1ed0cb86b2809c094adfcfbbf036d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><a class="el" href="../../d7/dd4/zombiebase_8c.html">ZombieBase.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../d7/dd4/zombiebase_8c_source.html#l00013">13</a> of file <a class="el" href="../../d7/dd4/zombiebase_8c_source.html">zombiebase.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a73dc4204de3c1020cbf9d62cd7b6d65d" name="a73dc4204de3c1020cbf9d62cd7b6d65d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a73dc4204de3c1020cbf9d62cd7b6d65d">&#9670;&#160;</a></span>ZombieBase()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ZombieBase::ZombieBase </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/dd4/zombiebase_8c_source.html#l00027">27</a> of file <a class="el" href="../../d7/dd4/zombiebase_8c_source.html">zombiebase.c</a>.</p>

</div>
</div>
<a id="a007db5bcb4841d8dded45c1ebe4dbf0a" name="a007db5bcb4841d8dded45c1ebe4dbf0a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a007db5bcb4841d8dded45c1ebe4dbf0a">&#9670;&#160;</a></span>~ZombieBase()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ZombieBase::~ZombieBase </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/dd4/zombiebase_8c_source.html#l00035">35</a> of file <a class="el" href="../../d7/dd4/zombiebase_8c_source.html">zombiebase.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="af3351659cc77b1766e3b707587281fe7" name="af3351659cc77b1766e3b707587281fe7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af3351659cc77b1766e3b707587281fe7">&#9670;&#160;</a></span>GetAll()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static set&lt; <a class="el" href="../../d2/ded/class_zombie_base.html">ZombieBase</a> &gt; ZombieBase::GetAll </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/dd4/zombiebase_8c_source.html#l00050">50</a> of file <a class="el" href="../../d7/dd4/zombiebase_8c_source.html">zombiebase.c</a>.</p>

</div>
</div>
<a id="a35f82605eac8c7d43011d73673e3e2c6" name="a35f82605eac8c7d43011d73673e3e2c6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a35f82605eac8c7d43011d73673e3e2c6">&#9670;&#160;</a></span>IsInSafeZone()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ZombieBase::IsInSafeZone </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/dd4/zombiebase_8c_source.html#l00092">92</a> of file <a class="el" href="../../d7/dd4/zombiebase_8c_source.html">zombiebase.c</a>.</p>

</div>
</div>
<a id="a73686c24b70de059ee1320550c2667df" name="a73686c24b70de059ee1320550c2667df"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a73686c24b70de059ee1320550c2667df">&#9670;&#160;</a></span>NameOverride()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ZombieBase::NameOverride </td>
          <td>(</td>
          <td class="paramtype">out string&#160;</td>
          <td class="paramname"><em>output</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/dd4/zombiebase_8c_source.html#l00097">97</a> of file <a class="el" href="../../d7/dd4/zombiebase_8c_source.html">zombiebase.c</a>.</p>

</div>
</div>
<a id="a93d72faf67300ede3950ea054d0eefd1" name="a93d72faf67300ede3950ea054d0eefd1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a93d72faf67300ede3950ea054d0eefd1">&#9670;&#160;</a></span>OnEnterZone()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ZombieBase::OnEnterZone </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/de5/expansionzonetype_8c.html#a91fff2923c73524aa9ddd1aa0e5c0337">ExpansionZoneType</a>&#160;</td>
          <td class="paramname"><em>type</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/dd4/zombiebase_8c_source.html#l00059">59</a> of file <a class="el" href="../../d7/dd4/zombiebase_8c_source.html">zombiebase.c</a>.</p>

</div>
</div>
<a id="ae62cd5fc073cdf3789b609d54f3c0c55" name="ae62cd5fc073cdf3789b609d54f3c0c55"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae62cd5fc073cdf3789b609d54f3c0c55">&#9670;&#160;</a></span>OnExitZone()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ZombieBase::OnExitZone </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/de5/expansionzonetype_8c.html#a91fff2923c73524aa9ddd1aa0e5c0337">ExpansionZoneType</a>&#160;</td>
          <td class="paramname"><em>type</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/dd4/zombiebase_8c_source.html#l00077">77</a> of file <a class="el" href="../../d7/dd4/zombiebase_8c_source.html">zombiebase.c</a>.</p>

</div>
</div>
<a id="a14c50865a8c7baa5329f1f8660b283af" name="a14c50865a8c7baa5329f1f8660b283af"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a14c50865a8c7baa5329f1f8660b283af">&#9670;&#160;</a></span>OnRPC()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ZombieBase::OnRPC </td>
          <td>(</td>
          <td class="paramtype">PlayerIdentity&#160;</td>
          <td class="paramname"><em>sender</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>rpc_type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">ParamsReadContext&#160;</td>
          <td class="paramname"><em>ctx</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/dd4/zombiebase_8c_source.html#l00105">105</a> of file <a class="el" href="../../d7/dd4/zombiebase_8c_source.html">zombiebase.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="ab2f1ed0cb86b2809c094adfcfbbf036d" name="ab2f1ed0cb86b2809c094adfcfbbf036d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab2f1ed0cb86b2809c094adfcfbbf036d">&#9670;&#160;</a></span>m_Expansion_AllInfected</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private ref set&lt; <a class="el" href="../../d2/ded/class_zombie_base.html">ZombieBase</a> &gt; ZombieBase::m_Expansion_AllInfected = new set&lt; <a class="el" href="../../d2/ded/class_zombie_base.html">ZombieBase</a> &gt;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>TODO: AllInfected isn't used anywhere, should get rid? </p>

<p class="definition">Definition at line <a class="el" href="../../d7/dd4/zombiebase_8c_source.html#l00016">16</a> of file <a class="el" href="../../d7/dd4/zombiebase_8c_source.html">zombiebase.c</a>.</p>

</div>
</div>
<a id="a2619a46fea6f8262013f3fc8c7e33d4e" name="a2619a46fea6f8262013f3fc8c7e33d4e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2619a46fea6f8262013f3fc8c7e33d4e">&#9670;&#160;</a></span>m_Expansion_IsInSafeZone</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected bool ZombieBase::m_Expansion_IsInSafeZone</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/dd4/zombiebase_8c_source.html#l00020">20</a> of file <a class="el" href="../../d7/dd4/zombiebase_8c_source.html">zombiebase.c</a>.</p>

</div>
</div>
<a id="a5bc34df10fd548edda64065ddc2151bf" name="a5bc34df10fd548edda64065ddc2151bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5bc34df10fd548edda64065ddc2151bf">&#9670;&#160;</a></span>m_Expansion_NetsyncData</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d8/d10/class_expansion_netsync_data.html">ExpansionNetsyncData</a> ZombieBase::m_Expansion_NetsyncData</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/dd4/zombiebase_8c_source.html#l00022">22</a> of file <a class="el" href="../../d7/dd4/zombiebase_8c_source.html">zombiebase.c</a>.</p>

</div>
</div>
<a id="a0849752c39ca72f2d72e3d30e8332757" name="a0849752c39ca72f2d72e3d30e8332757"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0849752c39ca72f2d72e3d30e8332757">&#9670;&#160;</a></span>m_Expansion_SafeZoneInstance</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected autoptr <a class="el" href="../../d7/d1f/class_expansion_zone_actor.html">ExpansionZoneActor</a> ZombieBase::m_Expansion_SafeZoneInstance = new ExpansionZoneEntity&lt;<a class="el" href="../../d2/ded/class_zombie_base.html">ZombieBase</a>&gt;(this)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/dd4/zombiebase_8c_source.html#l00018">18</a> of file <a class="el" href="../../d7/dd4/zombiebase_8c_source.html">zombiebase.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Core/Scripts/4_world/dayzexpansion_core/creatures/infected/<a class="el" href="../../d7/dd4/zombiebase_8c_source.html">zombiebase.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d2/ded/class_zombie_base.html">ZombieBase</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
